<section class="container-fluid animated fadeIn">
  <div class="row mb-3">
    <div class="col-lg-12">
      <h4>{{title | translate}}</h4>
      <hr>
    </div>
  </div>
  <div class="row wall">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12">
      <form [formGroup]="form" (ngSubmit)="submit(form)" novalidate>
        <div class="row">
          <!-- Name Fa -->
          <div class="col-lg-6">
            <div class="row form-group" [ngClass]="{'has-error':form.controls['name'].invalid && formSubmited}">
              <div class="col-lg-12">
                <label class="form-label-inline" for="name">
                  {{ 'actors.create.name' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="name" class="form-control" type="text" name="name" formControlName="name">
                <div class="feedback" *ngIf="form.controls['name'].hasError('required') && formSubmited">{{'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- key -->
          <div class="col-lg-6">
            <div class="row form-group" [ngClass]="{'has-error':form.controls['key'].invalid && formSubmited}">
              <div class="col-lg-12">
                <label class="form-label-inline" for="key">
                  {{ 'key' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="key" class="form-control" type="text" name="key" formControlName="key">
                <div class="feedback" *ngIf="form.controls['key'].hasError('required') && formSubmited">{{'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- Bio -->
          <div class="col-lg-6">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="bio">
                  {{ 'category.data.description' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <textarea id="description" rows="8" class="form-control" type="text" name="description" maxlength="300"
                  (input)="countingCharacters($event)" formControlName="description"></textarea>
                <div class="text-left text-white"> 300 / {{ remainingCharcters }} </div>
              </div>
            </div>
          </div>
          <!-- Type -->
          <div class="col-lg-6">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="size">
                  {{ 'upload.create.type' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <label class="radio-container">{{ 'upload.create.serial' | translate }}
                  <input type="radio" name="type" [value]="1" formControlName="type">
                  <span class="checkmark"></span>
                </label>
                <label class="radio-container">{{ 'upload.create.film' | translate }}
                  <input type="radio" name="type" [value]="2" formControlName="type">
                  <span class="checkmark"></span>
                </label>
              </div>
            </div>
          </div>
          <!-- Profile Image -->
          <div class="col-lg-12">
            <div class="row">
              <!-- Profile Image -->
              <div class="col-lg-12">
                <div class="row">
                  <label class="col-lg-12 form-label-inline" for="images">{{ 'actors.create.profile_image' | translate }}:(500*500)</label>
                  <div class="col-md-12 mb">
                      <dropzone-images [defaults]="defaultImage" [multi]="false" (changed)="setImage($event, 'profile')">
                      </dropzone-images>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- posters -->
          <div class="col-lg-12">
            <div class="row">
              <label class="col-lg-12 form-label-inline" for="images">{{ 'category.create.posters' | translate }} :</label>
              <div class="col-xl-12 mt">
                <dropzone-images [defaults]="defaultPosters" [multi]="true" (changed)="setPosters($event)">
                </dropzone-images>
              </div>
            </div>
          </div>
          <!-- Season -->
          <div formArrayName="season" class="row my-4">
            <div *ngFor="let season of seasonVideos().controls; let videoIndex=index" class="col-lg-6">
              <div
                [formGroupName]="videoIndex"
                style="border: 1px solid rgb(82, 95, 127); padding: 10px; margin: 5px;"
              >
              <!-- name -->
              <div class="col-lg-12">
                <div class="row form-group">
                  <div class="col-lg-12">
                    <label class="form-label-inline" for="name">
                      {{ 'category.data.name' | translate }} :
                    </label>
                  </div>
                  <div class="col-lg-12">
                    <input id="name" class="form-control" maxlength="255" type="text" name="name" formControlName="name">
                    <!-- <div class="feedback" *ngIf="form.controls['name'].hasError('required') && formSubmited">{{
                      'feedback.required' | translate }}</div> -->
                  </div>
                </div>
              </div>
              <!-- description -->
              <div class="col-lg-12">
                <div class="row form-group">
                  <div class="col-lg-12">
                    <label class="form-label-inline" for="description">
                      {{ 'category.data.description' | translate }} :
                    </label>
                  </div>
                  <div class="col-lg-12">
                    <input id="description" class="form-control" maxlength="255" type="text" name="description" formControlName="description">
                  </div>
                </div>
              </div>
              <!-- videos -->
              <div class="col-lg-12">
                <div class="row form-group">
                  <div class="col-lg-12">
                    <label class="form-label-inline">
                      {{ 'comment.video' | translate }} :
                    </label>
                  </div>
                  <div class="col-lg-12">
                    <select-input inputid="new-video" [list]="videos" itemkey="name" itemvalue="id"
                      [defaults]='selectedVideo[videoIndex] || []' [multi]='true' (changed)="setVideo($event, videoIndex)" placeholder></select-input>
                  </div>
                </div>
              </div>
              <button type="button" class="btn-outline" (click)="removeVideoLink(videoIndex)">{{ "operation.delete" | translate }}</button>
              </div>
            </div>
            <div class="col-lg-6">
              <button type="button" class="btn btn-outline" (click)="addVideo()">{{ "category.data.season" | translate}}</button>
            </div>
          </div>
          <!-- buttons -->
          <div class="col-md-10 mt">
            <div class="row">
              <div class="col-md-12">
                <button class="btn-primary mx-2" type="submit" [disabled]="form.invalid && formSubmited">{{ "upload.create.publish" |
                  translate}}</button>
                <button class="btn-outline" type="button"
                  [routerLink]="'/panel/category'" [queryParams]="query.params()">{{'operation.back' | translate }}</button>
              </div>
              <!-- <div class="col-md-12">
                <div class="alert-warn">
                  {{ 'upload.alert' | translate }}
                </div>
              </div> -->
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</section>